Package: org.codehaus.groovy.tools.shell

## [Groovy] Class ParseStatus

- org.codehaus.groovy.tools.shell.ParseStatus

- Container for parse status details.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Throwable` | `cause`
    `ParseCode` | `code`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ParseStatus (ParseCode code, Throwable cause)`
    `ParseStatus (ParseCode code)`
    `ParseStatus (Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final Throwable cause

    - #### final ParseCode code

  - ### Constructor Detail

    - #### ParseStatus(ParseCode code, Throwable cause)

    - #### ParseStatus(ParseCode code)

    - #### ParseStatus(Throwable cause)